Loading...
Searching...
No Matches
JoyButtonEventData Struct Reference

Additional data for joystick button event. More...

`#include <src/common/event.h>`

Inheritance diagram for JoyButtonEventData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

unsigned char | button = 0
| The joystick button index.

## Detailed Description

Additional data for joystick button event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > JoyButtonEventData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## button

unsigned char JoyButtonEventData::button = 0

The joystick button index.

The documentation for this struct was generated from the following file:

- src/common/event.h